enable XDG directories by default
Closed, ResolvedPublic

Description

Issue 28943 added compile time support for the XDG Base Directory specification. It would be nice to enable it by default. My understanding is that a migration function is needed for that to occur.

Jon McCann (mccann) set Type to Bug.Via Old WorldMay 14 2012, 9:47 PM
Brecht Van Lommel (brecht) added a comment.Via Old WorldMay 15 2012, 12:34 PM

Yes, a migration function would indeed be needed. I don't see how this is a bug though, we don't use the bug tracker as a todo list, only to report things that were intended to work but are somehow broken.

Jon McCann (mccann) added a comment.Via Old WorldMay 15 2012, 3:18 PM

It is a bug that it doesn't store things in the XDG directories by default.

Brecht Van Lommel (brecht) added a comment.Via Old WorldMay 15 2012, 3:55 PM

Ok, will reopen the bug for a while to see if any developers likes to take this up, but this fits more on our todo list:
http://wiki.blender.org/index.php/Dev:2.5/Source/Development/Todo/Install-OS#Linux

Jon McCann (mccann) added a comment.Via Old WorldMay 17 2012, 9:17 AM

The attachments page doesn't seem to work. So, posted a patch here:
http://fpaste.org/5z3P/

Brecht Van Lommel (brecht) added a comment.Via Old WorldMay 18 2012, 5:51 PM

If we just move the folder this way, it will break the configuration for users who use both the 2.63 release and newer test builds. I think this migration should be done as part of the version switch to 2.64, in the "Copy Previous Settings" operator, there settings are being copied anyway.

Also this patch seems to contain a bunch of other code, could keep that separated?

Brecht Van Lommel (brecht) added a comment.Via Old WorldMay 18 2012, 7:05 PM

Actually I think we can do the migration without making an explicit migration function, just modifying GHOST_getUserDir. Will try to make a patch for that.

Here's a patch that does this, still haven't actually tested if it works on linux/windows, only verified on mac and tested copying folders goes ok.

Sergey Sharybin (sergey) added a comment.Via Old WorldJun 18 2012, 6:47 PM

Brecht, you mentioned there're some parts of patch from here which could be interesting. Could you please review this and finish with this report please?

Campbell Barton (campbellbarton) added a comment.Via Old WorldSep 4 2012, 8:55 PM

This patch is applied, v2.64 will use XDG dirs automatic. closing.

Campbell Barton (campbellbarton) closed this task as "Resolved".Via Old WorldSep 4 2012, 8:55 PM

Add Comment